Package skyview.process.imagefinder

# Class Overlap

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.Overlap

public class Overlap extends ImageFinder
This class is a simple image finder which returns all images that may have some overlap with the output image. Unlike the conventional image finders it does not return an integer array giving the image to sample for each output pixel. A zero-element array is returned and is not expected to be used. However in the input image array, any image where there is apparently no overlap between the input image and the output image is set to null.

This image finder should not be used with the standard mosaicker. It is anticipated to be used in mosaickers which will analyze each input image for overlap, presumably because they are going to add data from multiple images.

## Constructor Summary

Constructors
Constructor
Description
`Overlap()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`findImages(Image[] input, Image output)`
Find the images that it makes sense to sample.

### Methods inherited from class skyview.process.ImageFinder

`factory, setStrict`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Overlap

public Overlap()

## Method Details

### findImages

public int[] findImages(Image[] input, Image output)
Find the images that it makes sense to sample.

Specified by:
  `findImages` in class `ImageFinder`
Parameters:
  `input` - [may be modified] An array of images that may be sampled to get the output image. On return from this routine, any elements of the array which do not overlap with th output will be replaced by null.
  `output` - The output image. Only its geometry is used.
Returns:
  A zero-length dummy array or null if no input images overlap the output.